For Developers
Fetch CIDR
GET https://ed.link/api/v2/teams/:team_id/origin_policies/:policy_id/cidrs/:cidr_id
Retrieves configuration and status of an individual CIDR rule.
Permissions
Requires the origin_policy_cidrs.read system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:policy_id | UUID | Yes | The ID of the origin policy. |
:cidr_id | UUID | Yes | The ID of the CIDR rule. |
Sample Request
const response = await axios.get(`https://ed.link/api/v2/teams/${team_id}/origin_policies/${policy_id}/cidrs/${cidr_id}`, {
headers: {
authorization: `Bearer ${user_session_token}`
}
});
Sample Response
{
"$data": {
"id": "18de75a1-4b12-4c8d-9011-30112fa50012",
"network": "203.0.113.0/24",
"outcome": "allowed",
"label": "Production VPN Gateway",
"system_controlled": false,
"enabled": true
}
}
